> This page is for Alfa (Preview).

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alfa.boosted.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alfa.boosted.ai/_mcp/server.

# List Messages

GET https://sandbox.api.boosted.ai/v2/threads/{thread_id}/messages

Get the chat history for a thread.

This endpoint retrieves the message history for a thread. You can optionally filter messages
by date range using `start` and `end` parameters, and paginate results using `start_index` and
`limit_num`. If no date filters are provided, all messages in the thread are returned.

The response includes all messages in chronological order, with user messages and AI responses
clearly identified.

For example, use with start_index=0&limit_num=25 to get the latest 25 messages.

Reference: https://docs.alfa.boosted.ai/alfa-preview/threads-api/reference/threads/list-messages-v-2-threads-thread-id-messages-get

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 access token obtained via token exchange.

## Request

### Path parameters

- `thread_id` (string, required)

### Query parameters

- `start` (datetime, optional, nullable)
- `end` (datetime, optional, nullable)
- `start_index` (integer, optional, default: 0)
- `limit_num` (integer, optional, nullable)

## Response

### 200

Successful Response

- `messages` (list of Message, required)
- `total_message_count` (integer, optional)
- `start_index` (integer, optional, default: 0)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Message

- `message_id` (string, required)
- `message` (string, required)
- `is_user_message` (boolean, required)
- `message_time` (datetime, required)
- `citations` (list of MessageCitationsItems, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### MessageCitationsItems

- NewsDevelopmentCitation: NewsDevelopmentCitationOutput
- WebCitation: WebCitationOutput
- DocumentCitation: DocumentCitationOutput

### ValidationErrorLocItems

- string
- integer

### NewsDevelopmentCitationOutput

- `citation_type` (enum, required, default: news_development)
  - Allowed values: `news_development`
- `name` (string, required)
- `citation_id` (string, optional)
- `source_category` (string, optional, nullable)
- `inline_offset` (integer, optional, nullable)
- `summary` (string, optional, nullable)
- `last_updated_at` (datetime, optional, nullable)
- `is_snippet` (boolean, optional, default: false)
- `num_articles` (integer, optional, nullable)
- `development_start` (datetime, optional, nullable)

### WebCitationOutput

- `citation_type` (enum, required, default: web)
  - Allowed values: `web`
- `name` (string, required)
- `citation_id` (string, optional)
- `source_category` (string, optional, nullable)
- `inline_offset` (integer, optional, nullable)
- `summary` (string, optional, nullable)
- `last_updated_at` (datetime, optional, nullable)
- `is_snippet` (boolean, optional, default: false)
- `link` (string, optional, nullable)
- `last_fetched_at` (datetime, optional, nullable)
- `snippet_highlight_start` (integer, optional, nullable)
- `snippet_highlight_end` (integer, optional, nullable)
- `source_type` (string, optional, nullable)

### DocumentCitationOutput

- `citation_type` (enum, required)
  - Allowed values: `news_development`, `web`, `text`
- `name` (string, required)
- `citation_id` (string, optional)
- `source_category` (string, optional, nullable)
- `inline_offset` (integer, optional, nullable)
- `summary` (string, optional, nullable)
- `last_updated_at` (datetime, optional, nullable)
- `is_snippet` (boolean, optional, default: true)
- `snippet_highlight_start` (integer, optional, nullable)
- `snippet_highlight_end` (integer, optional, nullable)

## Examples

**Response**

```json
{
  "messages": [
    {
      "message_id": "string",
      "message": "string",
      "is_user_message": true,
      "message_time": "2024-01-15T09:30:00Z",
      "citations": [
        {
          "citation_id": "string",
          "citation_type": "news_development",
          "source_category": "string",
          "name": "string",
          "inline_offset": 1,
          "summary": "string",
          "last_updated_at": "2024-01-15T09:30:00Z",
          "is_snippet": false,
          "num_articles": 1,
          "development_start": "2024-01-15T09:30:00Z"
        }
      ]
    }
  ],
  "total_message_count": 1,
  "start_index": 0
}
```

**SDK Code**

```python
import requests

url = "https://sandbox.api.boosted.ai/v2/threads/thread_id/messages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox.api.boosted.ai/v2/threads/thread_id/messages';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.api.boosted.ai/v2/threads/thread_id/messages"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox.api.boosted.ai/v2/threads/thread_id/messages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.api.boosted.ai/v2/threads/thread_id/messages")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.api.boosted.ai/v2/threads/thread_id/messages', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox.api.boosted.ai/v2/threads/thread_id/messages");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.api.boosted.ai/v2/threads/thread_id/messages")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```